public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/mocha/
Date: Sat, 18 May 2024 05:42:00 +0000 (UTC)	[thread overview]
Message-ID: <1716010688.e2987b50477fbf8741662e58f0363020ce00b180.graaff@gentoo> (raw)

commit:     e2987b50477fbf8741662e58f0363020ce00b180
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 18 05:38:08 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 18 05:38:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2987b50

dev-ruby/mocha: add 2.3.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/mocha/Manifest           |  1 +
 dev-ruby/mocha/mocha-2.3.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-ruby/mocha/Manifest b/dev-ruby/mocha/Manifest
index 879248fbf7f0..234ffe092210 100644
--- a/dev-ruby/mocha/Manifest
+++ b/dev-ruby/mocha/Manifest
@@ -5,3 +5,4 @@ DIST mocha-2.0.2.tar.gz 245650 BLAKE2B 3bf56cacc99b5eeb17977cd1052c635df74aec10f
 DIST mocha-2.0.4.tar.gz 243542 BLAKE2B 4a9bb3f1493225f7eed7080661a168a90c56e4f737a8bc15402bf0a08ae7cc14e8e5cff9a090b6413633c37169e7ff9f45aedc3c5fd929ab32d359ad58d404f7 SHA512 4a72cd18e70608265bc20761848657b900a6d60c888ec4027e3b9f1884efa41d0d0591c4f3e26edd96a806ecdfc3b921d5871465a799a5ea5905627b7093f5b1
 DIST mocha-2.1.0.tar.gz 243730 BLAKE2B a99cb5b6d968e0612cfc4f2d766029d2f700c92b3e1f16f33341b8c5652db823d52fc34070acd0711ea94077eeed32d13e605982b93baa56e7d11dae7fcfe55f SHA512 8044065ebb2225f7aab117353b0a49c854768fd55f7165ccb5916027f6f8fc843665572ed786e41d5ec6affedf397f4de20fa31a9f9c1582a17a67555662a65e
 DIST mocha-2.2.0.tar.gz 247014 BLAKE2B 7be3453e30be305a27a3a9c9cde8cfc196ebbf07329afe82fbbb79c320dfd08aaeca17242e1432d0e1b437f20260ee1557768851553d2a5d7f7697d07081468d SHA512 1e611c31c311f9ff5f341c46a374eea16835cffeb2ff454e09c656503f05c1a2b7d7ff6d1bf33f8ea33cd1e5e53aca108d1f73fc46ca79029d09f8bdeb9036c6
+DIST mocha-2.3.0.tar.gz 247213 BLAKE2B faf2e9dc189b4db0e33f1ae7c780f998e9f2c4f1e29dc63e7e6c64bd679494e40bfab7e0227ee6e9e485e38fbe1dcd40d5fb2007ea7c7f3d42b4f6547b835257 SHA512 fc8d3922c593924d4e7ba138af06a90dbc00f2a466251f188de4d62ba3b3eb197252750561575383400aaeac65d59c436d3a14f5a288c2f1685d8d1bf5ae7202

diff --git a/dev-ruby/mocha/mocha-2.3.0.ebuild b/dev-ruby/mocha/mocha-2.3.0.ebuild
new file mode 100644
index 000000000000..06d86dc2ac9b
--- /dev/null
+++ b/dev-ruby/mocha/mocha-2.3.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+RUBY_FAKEGEM_TASK_TEST="test:units test:acceptance"
+RUBY_FAKEGEM_EXTRADOC="README.md RELEASE.md"
+RUBY_FAKEGEM_GEMSPEC="mocha.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Mocking and stubbing using a syntax like that of JMock and SchMock"
+HOMEPAGE="https://mocha.jamesmead.org/"
+SRC_URI="https://github.com/freerange/mocha/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+ruby_add_rdepend ">=dev-ruby/ruby2_keywords-0.0.5"
+
+ruby_add_bdepend "
+	test? ( >=dev-ruby/test-unit-2.5.1-r1 dev-ruby/introspection )"
+
+all_ruby_prepare() {
+	sed -i -e '/[Bb]undler/ s:^:#:' -e '1iload "lib/mocha/version.rb"' Rakefile || die
+
+	sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	export MOCHA_NO_DOCS=true
+	each_fakegem_test
+}


             reply	other threads:[~2024-05-18  5:42 UTC|newest]

Thread overview: 156+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-18  5:42 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-14  7:47 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/mocha/ Hans de Graaff
2024-12-08  8:02 Hans de Graaff
2024-11-25  6:57 Hans de Graaff
2024-10-26  6:59 Hans de Graaff
2024-10-26  6:59 Hans de Graaff
2024-10-26  6:59 Hans de Graaff
2024-10-14 21:59 Sam James
2024-10-09  6:59 Arthur Zamarin
2024-10-06 13:54 Arthur Zamarin
2024-10-06 13:30 Arthur Zamarin
2024-10-06 13:30 Jakov Smolić
2024-10-06 11:52 Sam James
2024-07-25  4:38 Hans de Graaff
2024-07-25  4:38 Hans de Graaff
2024-07-24  6:01 Hans de Graaff
2024-07-23  5:29 Hans de Graaff
2024-07-19  9:52 Hans de Graaff
2024-07-17  5:57 Hans de Graaff
2024-06-17  5:25 Hans de Graaff
2024-06-01  7:30 Hans de Graaff
2024-06-01  7:04 Hans de Graaff
2024-05-25 15:10 Michał Górny
2024-05-25 15:10 Michał Górny
2024-05-18  8:33 Sam James
2024-05-18  8:33 Sam James
2024-05-18  8:33 Sam James
2024-05-18  8:33 Sam James
2024-05-18  8:08 Arthur Zamarin
2024-05-18  8:08 Arthur Zamarin
2024-05-18  8:08 Arthur Zamarin
2024-05-18  8:08 Arthur Zamarin
2024-05-18  8:05 Arthur Zamarin
2024-05-18  8:05 Arthur Zamarin
2024-05-18  8:05 Arthur Zamarin
2024-05-18  8:05 Arthur Zamarin
2024-05-18  6:02 Hans de Graaff
2024-05-18  5:42 Hans de Graaff
2024-04-12  9:19 Hans de Graaff
2024-01-02  7:05 Hans de Graaff
2023-12-05 18:25 Ionen Wolkens
2023-09-15  6:15 Hans de Graaff
2023-08-09  4:38 Hans de Graaff
2023-08-04 20:20 Arthur Zamarin
2023-07-24 10:05 Jakov Smolić
2023-06-12  2:27 Sam James
2023-04-07 11:25 Sam James
2023-04-07  4:14 Sam James
2023-04-07  4:14 Sam James
2023-04-07  4:14 Sam James
2023-03-29  0:57 Sam James
2023-03-28 23:41 Sam James
2023-03-28 22:15 Sam James
2023-03-28 21:50 Sam James
2022-12-11  6:27 Hans de Graaff
2022-11-22 18:16 Arthur Zamarin
2022-11-12  6:39 WANG Xuerui
2022-11-05  7:17 Hans de Graaff
2022-10-19  5:45 Hans de Graaff
2022-10-01  7:06 Hans de Graaff
2022-05-08 15:00 WANG Xuerui
2022-05-06  7:13 Hans de Graaff
2022-05-01  9:12 Hans de Graaff
2022-04-26 13:45 Sam James
2022-03-31  5:39 Hans de Graaff
2021-10-03  6:30 Hans de Graaff
2021-10-02 23:01 Sam James
2021-10-02 15:43 Sam James
2021-09-25  5:18 Agostino Sarubbo
2021-09-22  6:58 Agostino Sarubbo
2021-09-20  6:27 Agostino Sarubbo
2021-09-19 22:12 Sam James
2021-09-19 21:35 Agostino Sarubbo
2021-09-19  6:24 Hans de Graaff
2021-09-19  6:24 Hans de Graaff
2021-09-07 12:30 Marek Szuba
2021-08-11 14:29 Marek Szuba
2021-07-05 11:51 Hans de Graaff
2021-06-27  5:50 Hans de Graaff
2021-04-07  6:14 Hans de Graaff
2021-03-20  7:42 Hans de Graaff
2021-01-03  8:05 Hans de Graaff
2020-08-08  6:37 Hans de Graaff
2020-01-22 18:40 Hans de Graaff
2020-01-20  6:30 Hans de Graaff
2020-01-05  7:43 Hans de Graaff
2020-01-05  7:43 Hans de Graaff
2019-12-18  6:50 Hans de Graaff
2019-12-13  9:20 Hans de Graaff
2019-12-05  7:38 Hans de Graaff
2019-12-03  6:59 Hans de Graaff
2019-12-03  6:59 Hans de Graaff
2019-06-28 20:49 Sergei Trofimovich
2019-06-18  5:07 Hans de Graaff
2019-06-05  7:28 Agostino Sarubbo
2019-05-23 13:13 Mikle Kolyada
2019-05-18  5:36 Hans de Graaff
2019-05-07 20:14 Tobias Klausmann
2019-04-29 19:49 Sergei Trofimovich
2019-04-29  8:51 Sergei Trofimovich
2019-04-29  8:49 Sergei Trofimovich
2019-04-29  5:32 Hans de Graaff
2019-04-28 20:59 Sergei Trofimovich
2019-04-28 20:34 Thomas Deutschmann
2019-02-01 11:01 Hans de Graaff
2019-01-16  7:24 Hans de Graaff
2019-01-09  8:07 Hans de Graaff
2018-12-12 10:11 Hans de Graaff
2018-11-23  9:11 Hans de Graaff
2018-11-23  9:11 Hans de Graaff
2018-08-10  5:45 Hans de Graaff
2018-07-30 21:50 Sergei Trofimovich
2018-07-24  5:41 Hans de Graaff
2018-06-19 14:32 Tobias Klausmann
2018-05-30 16:30 Markus Meier
2018-05-25 23:58 Thomas Deutschmann
2018-05-24  4:57 Hans de Graaff
2018-05-23  7:28 Sergei Trofimovich
2018-05-21  7:26 Hans de Graaff
2018-04-19  4:36 Hans de Graaff
2018-04-07  4:49 Hans de Graaff
2018-03-27  5:48 Hans de Graaff
2018-03-22  6:50 Hans de Graaff
2018-02-24  8:49 Hans de Graaff
2018-01-22 19:26 Hans de Graaff
2018-01-22 19:26 Hans de Graaff
2017-11-26 14:17 Hans de Graaff
2017-08-25  6:09 Hans de Graaff
2017-06-30 12:47 Alexis Ballier
2017-06-30 12:47 Alexis Ballier
2017-06-29  5:19 Hans de Graaff
2017-05-07  9:44 Hans de Graaff
2017-02-21  7:29 Hans de Graaff
2017-01-05  7:04 Hans de Graaff
2016-11-27  8:29 Hans de Graaff
2016-11-25 10:10 Hans de Graaff
2016-11-06 15:25 Hans de Graaff
2016-10-16  5:10 Hans de Graaff
2016-10-11  5:16 Hans de Graaff
2016-10-02  8:34 Jeroen Roovers
2016-10-02  8:31 Jeroen Roovers
2016-09-22  9:15 Tobias Klausmann
2016-09-22  9:14 Tobias Klausmann
2016-08-14 19:28 Markus Meier
2016-08-14 19:27 Markus Meier
2016-07-21 19:38 Hans de Graaff
2016-07-10 19:00 Hans de Graaff
2016-07-10 19:00 Hans de Graaff
2016-07-10 19:00 Hans de Graaff
2016-07-10 19:00 Hans de Graaff
2016-07-10 19:00 Hans de Graaff
2016-03-28 10:21 Hans de Graaff
2016-03-22 21:53 Manuel Rüger
2016-03-21 16:44 Hans de Graaff
2016-03-18  6:38 Hans de Graaff
2016-03-18  6:38 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1716010688.e2987b50477fbf8741662e58f0363020ce00b180.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox